{ settings, ... }:

{
  programs.git = {
    enable = true;

    settings = {
      gpg.format = "ssh";
      commit.gpgsign = true;
      user = {
        name = settings.gitName;
        email = settings.gitEmail;
        signingkey = settings.gitPubKey;
      };
    };
  };
}
